Skip to main content
GET
/
pairs
/
{player1}
-
{player2}
/
stats
Show Pair Stats
curl --request GET \
  --url https://padelapi.org/api/pairs/{player1}-{player2}/stats \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://padelapi.org/api/pairs/{player1}-{player2}/stats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://padelapi.org/api/pairs/{player1}-{player2}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "self": "<string>",
  "coverage": "<string>",
  "performance_since": "<string>",
  "matches_played": 123,
  "matches_won": 123,
  "win_percentage": "<string>",
  "sets_won": 123,
  "sets_lost": 123,
  "avg_sets_per_match": "<string>",
  "games_won": 123,
  "games_lost": 123,
  "avg_games_per_match": "<string>",
  "titles": 123,
  "finals": 123,
  "semifinals": "<string>",
  "best_round": "<string>",
  "connections": {
    "pair": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

player1
integer
required

The player1 ID

player2
integer
required

The player2 ID

Query Parameters

after_date
string<date> | null

Date after to calculate the stats in YYYY-MM-DD format.

before_date
string<date> | null

Date before to calculate the stats in YYYY-MM-DD format.

level
string | null

Tournament level(s) to scope the stats. Accepts one or multiple comma-separated values (e.g. major,p1,p2 for all Premier Padel matches).

round
enum<integer> | null

Round of the match to calculate the stats (1 = Final, 2 = Semifinal, 4 = Quarterfinal, 8 = Round of 16, 16 = Round of 32, 32 = Round of 64)

Available options:
1,
2,
4,
8,
16,
32

Response

id
string
required
self
string
required
coverage
string
required
performance_since
string
required
matches_played
integer
required
matches_won
integer
required
win_percentage
string
required
sets_won
integer
required
sets_lost
integer
required
avg_sets_per_match
string
required
games_won
integer
required
games_lost
integer
required
avg_games_per_match
string
required
titles
integer
required
finals
integer
required
semifinals
string
required
best_round
string
required
connections
object
required